Bug 986304 - [FEAT] Information associated with the spilt-brain files/directories
[FEAT] Information associated with the spilt-brain files/directories
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: replicate (Show other bugs)
2.1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anuradha
storage-qa-internal@redhat.com
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 07:34 EDT by Rahul Hinduja
Modified: 2016-09-19 22:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-26 17:33:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Hinduja 2013-07-19 07:34:04 EDT
Description of problem:
=======================

Currently their is no cli which can provide the information about the split-brain files/directories. It will be helpful for system admins to know whether they are in metadata,entry or data split-brain.

Version-Release number of selected component (if applicable):
=============================================================

glusterfs-server-3.4.0.12rhs.beta4-1.el6rhs.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Pranith Kumar K 2015-08-26 17:33:24 EDT
getfattr -n replica.split-brain-status $path-of-file-on-mount gives the status.

Note You need to log in before you can comment on or make changes to this bug.